ifupdown-alpine.patch 1.31 KB
Newer Older
1 2 3
--- openvswitch-2.3.2/debian/ifupdown.sh	2015-06-18 19:32:47.000000000 +0000
+++ openvswitch-2.3.2/debian/ifupdown.sh.new	2015-08-17 15:56:59.703461309 +0000
@@ -29,8 +29,10 @@ if (ovs_vsctl --version) > /dev/null 2>&
4 5 6 7 8 9
     exit 0
 fi
 
-if /etc/init.d/openvswitch-switch status > /dev/null 2>&1; then :; else
-    /etc/init.d/openvswitch-switch start
+if ! /etc/init.d/ovs-vswitchd status &>/dev/null; then
10 11
+    /etc/init.d/ovs-modules start
+    /etc/init.d/ovsdb-server start
12 13 14 15
+    /etc/init.d/ovs-vswitchd start
 fi
 
 if [ "${MODE}" = "start" ]; then
16
@@ -42,7 +44,8 @@ if [ "${MODE}" = "start" ]; then
17 18 19 20
                          ${OVS_EXTRA+-- $OVS_EXTRA}
 
                 if [ ! -z "${IF_OVS_PORTS}" ]; then
-                    ifup --allow="${IFACE}" ${IF_OVS_PORTS}
21 22
+#                   ifup --allow="${IFACE}" ${IF_OVS_PORTS}
+                    ifup ${IF_OVS_PORTS}
23 24 25
                 fi
                 ;;
         OVSPort)
26
@@ -84,7 +87,8 @@ elif [ "${MODE}" = "stop" ]; then
27 28 29 30
     case "${IF_OVS_TYPE}" in
         OVSBridge)
                 if [ ! -z "${IF_OVS_PORTS}" ]; then
-                    ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
31
+#                   ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
32 33 34 35
+                    ifdown ${IF_OVS_PORTS}
                 fi
 
                 ovs_vsctl -- --if-exists del-br "${IFACE}"